package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiSiteDto;
import com.huatek.busi.vo.BusiSiteVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 站点表 Mapper
 *
 * @author anker_cheng
 * @date Jun 18, 2019 6:33:06 PM
 */
@Repository
public interface BusiSiteMapper {

	/**
	 * 分页查询 站点表
     *
	 * @param busiSiteDto 站点表Dto
	 * @return Page 站点表List
	 */
	Page<BusiSiteVo> selectBusiSitePage(BusiSiteDto busiSiteDto);
	  /**
     *  获取所有站点信息（视频流需要引用）
     * @return
     */
	List<BusiSiteVo> queryAllSite();
	
	/**
     *  获取站点信息
     * @return
     */
	BusiSiteVo getSiteInfo();

	BusiSiteDto findBySiteName(@Param("siteName") String siteName);

	List<BusiSiteDto> findAll();

    List<BusiSiteVo> findSiteInfo();
}

